Selected Filters


Loading...

Availability


CHEVROLET 5.3L/327 Brake Systems

Individual Parts

Results 1526 - 1550 of 2000 +

LEED Brakes Front Disc Brake Conversion Kits FC1003-3A1X

$100.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,016.35

Rebate Expires: 10/31/2026

Get $100 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Manual, Cross-Drilled/Slotted Rotors, Vented, Cast Iron Calipers, Zinc Plated, 2 in. Drop Spindle, 5 x 4.75 in., Kit

Part Number: LEB-FC1003-3A1X

Not Yet Reviewed

Estimated Ship Date: Dec 4, 2026 if ordered today

  • $100.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,016.35

    Rebate Expires: 10/31/2026

    Get $100 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 4, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits for 1962-1967 CHEVY II - RFC1006-3A1X

$100.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,047.17

Rebate Expires: 10/31/2026

Get $100 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Manual, Vented Rotors, Cast Iron Calipers, Red Powdercoated, Stock Ride Height, 5 x 4.75 in. Bolt Pattern, Kit

Part Number: LEB-RFC1006-3A1X

Not Yet Reviewed

Estimated Ship Date: Dec 4, 2026 if ordered today

  • $100.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,047.17

    Rebate Expires: 10/31/2026

    Get $100 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 4, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC1003-M1A1X

$100.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,257.11

Rebate Expires: 10/31/2026

Get $100 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Power Assist, Cross-Drilled/Slotted Rotors, Cast Iron Calipers, Red, 2 in. Drop Spindle, 5 x 4.75 in., Kit

Part Number: LEB-RFC1003M1A1X

Not Yet Reviewed

Estimated Ship Date: Dec 4, 2026 if ordered today

  • $100.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,257.11

    Rebate Expires: 10/31/2026

    Get $100 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 4, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits FC1003SMX

$75.00 Mail-In Rebate

Price after Manufacturer Rebate: $802.73

Rebate Expires: 10/31/2026

Get $75 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Cross-Drilled/Slotted Rotors, Vented, Cast Iron Calipers, Zinc Plated, 2 in. Drop Spindles, 5 x 4.75 in., Kit

Part Number: LEB-FC1003SMX

Not Yet Reviewed

Estimated Ship Date: Dec 4, 2026 if ordered today

  • $75.00 Mail-In Rebate

    Price after Manufacturer Rebate: $802.73

    Rebate Expires: 10/31/2026

    Get $75 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 4, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC1003-FA3X

$100.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,180.26

Rebate Expires: 10/31/2026

Get $100 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Manual, Vented Rotors, Cast Iron Calipers, Red Powdercoated, 2 in. Drop Spindles, 5 x 4.75 in. Bolt Pattern, Kit

Part Number: LEB-RFC1003-FA3X

Not Yet Reviewed

Estimated Ship Date: Dec 4, 2026 if ordered today

  • $100.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,180.26

    Rebate Expires: 10/31/2026

    Get $100 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 4, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC1011-3A3X

$100.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,029.95

Rebate Expires: 10/31/2026

Get $100 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Manual, Vented Rotors, Cast Iron Calipers, Red Powdercoated, 5 x 4.75 in. Bolt Pattern, Kit

Part Number: LEB-RFC1011-3A3X

Not Yet Reviewed

Estimated Ship Date: Dec 4, 2026 if ordered today

  • $100.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,029.95

    Rebate Expires: 10/31/2026

    Get $100 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 4, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits FC1003-3A3

$100.00 Mail-In Rebate

Price after Manufacturer Rebate: $926.10

Rebate Expires: 10/31/2026

Get $100 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Manual, Solid Surface Rotors, Cast Iron Calipers, Zinc Plated, 2 in. Drop Spindles, 5 x 4.75 in. Bolt Pattern, Kit

Part Number: LEB-FC1003-3A3

Not Yet Reviewed

Estimated Ship Date: Dec 4, 2026 if ordered today

  • $100.00 Mail-In Rebate

    Price after Manufacturer Rebate: $926.10

    Rebate Expires: 10/31/2026

    Get $100 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 4, 2026 if ordered today

Disc Brake Kit, Baer Claw Pro+, Front, Cross-drilled/Slotted Rotors, 6-piston Black Powdercoated Calipers, Buick, Chevy, Oldsmobile, Pontiac, Kit

Part Number: BAE-4301428B

Not Yet Reviewed

Estimated Ship Date: Nov 24, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 24, 2026 if ordered today

14" Ext+ Brake Sys Frt Slvr 60-87 C10

Part Number: BAE-4301571S

Not Yet Reviewed

Estimated Ship Date: Nov 24, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 24, 2026 if ordered today

13" Track4 Brake Sys Frt Slvr 60-87 C10

Part Number: BAE-4301597S

Not Yet Reviewed

Estimated Ship Date: Nov 24, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 24, 2026 if ordered today

15" Ext+ Brake Sys Frt Red 71-87 K10

Part Number: BAE-4301622R

Not Yet Reviewed

Estimated Ship Date: Nov 24, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 24, 2026 if ordered today

14" Pro+ Brake Sys Frt Slvr 60-87 C10

Part Number: BAE-4301570S

Not Yet Reviewed

Estimated Ship Date: Nov 24, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 24, 2026 if ordered today

Disc Brake Kit, Baer Claw Pro+, Rear, Cross-drilled/Slotted Rotors, 6-piston Silver Powdercoated Calipers, Chevy, Kit

Part Number: BAE-4302431S

Not Yet Reviewed

Estimated Ship Date: Nov 24, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 24, 2026 if ordered today

Disc Brake Kit, Baer Claw Pro+, Rear, Cross-drilled/Slotted Rotors, 6-piston Black Powdercoated Calipers, Chevy, Kit

Part Number: BAE-4302220B

Not Yet Reviewed

Estimated Ship Date: Nov 24, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 24, 2026 if ordered today

Disc Brake Kit, Baer Claw Extreme+, Front, Cross-drilled/Slotted Rotors, 6-piston Black Powdercoated Calipers, Chevy, GMC, Kit

Part Number: BAE-4301390B

Not Yet Reviewed

Estimated Ship Date: Nov 24, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 24, 2026 if ordered today

Disc Brakes, Track, Front, Cross-Drilled/Slotted Rotors, 4-Piston Calipers, Silver, GM, Passenger Car, Kit

Part Number: BAE-4301381S

Not Yet Reviewed

Estimated Ship Date: Nov 24, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 24, 2026 if ordered today

Disc Brakes, Extreme-Plus, Front, Cross-Drilled/Slotted Rotors, 6-Piston Calipers, GM, Passenger Car, Red, Kit

Part Number: BAE-4301083R

Not Yet Reviewed

Estimated Ship Date: Nov 24, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 24, 2026 if ordered today

Disc Brake Kit, Baer Claw Pro+, Rear, Cross-drilled/Slotted Rotors, 6-piston Red Powdercoated Calipers, Buick, Chevy, Oldsmobile, Pontiac, Kit

Part Number: BAE-4302350R

Not Yet Reviewed

Estimated Ship Date: Nov 24, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 24, 2026 if ordered today

Disc Brake Kits, Baer Claw Pro Plus Disc Brake Systems, Front, Cross-drilled/Slotted Rotors, 6-piston Red Powdercoated Calipers, Chevrolet, Kit

Part Number: BAE-4301341R

Not Yet Reviewed

Estimated Ship Date: Nov 24, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 24, 2026 if ordered today

Disc Brake Kit, Baer Claw Pro+, Front, Cross-drilled/Slotted Rotors, 6-piston Red Powdercoated Calipers, Chevy, Kit

Part Number: BAE-4301520R

Not Yet Reviewed

Estimated Ship Date: Nov 24, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 24, 2026 if ordered today

Disc Brake Kit, Pro, Front, Cross-drilled/Slotted Rotors, 6-piston, Monster Green Powdercoated Calipers, Buick, Chevy, Oldsmobile, Pontiac, , Kit

Part Number: BAE-4301683MG

Not Yet Reviewed

Estimated Ship Date: Nov 24, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 24, 2026 if ordered today

Disc Brake Kit, SS4, Rear, Cross-drilled/Slotted Rotors, 4-piston Silver Powdercoated Calipers, Buick, Chevy, Oldsmobile, Pontiac, Kit

Part Number: BAE-4302326S

Not Yet Reviewed

Estimated Ship Date: Nov 24, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 24, 2026 if ordered today

Disc Brake Kit, Track4, Front, Cross-drilled/Slotted Rotors, 4-piston Black Powdercoated Calipers, Buick, Chevy, Oldsmobile, Pontiac, Kit

Part Number: BAE-4301399B

Not Yet Reviewed

Estimated Ship Date: Nov 24, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 24, 2026 if ordered today

Disc Brake Kit, Baer Claw Pro+, Rear, Cross-drilled/Slotted Rotors, 6-piston Silver Powdercoated Calipers, Chevy, Pontiac, Kit

Part Number: BAE-4302351S

Not Yet Reviewed

Estimated Ship Date: Nov 24, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 24, 2026 if ordered today

Disc Brake Kit, Baer Claw Pro+, Front, Cross-drilled/Slotted Rotors, 6-piston Red Powdercoated Calipers, Buick, Chevy, Oldsmobile, Pontiac, Kit

Part Number: BAE-4301427R

Not Yet Reviewed

Estimated Ship Date: Nov 24, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 24, 2026 if ordered today